# encoding=utf-8

# Copyright 2009 Patrick Näf
# 
# This file is part of mkroesti
#
# mkroesti is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# mkroesti is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with mkroesti. If not, see <http://www.gnu.org/licenses/>.


"""Defines constants for predefined algorithm and alias names."""

ALIAS_ALL = "all"
ALIAS_CHKSUM = "chksum"
ALIAS_ENCODING = "encoding"
ALIAS_CRYPT = "crypt"
ALIAS_SHA = "sha"
ALIAS_RIPEMD = "ripemd"
ALIAS_HAVAL = "haval"
ALIAS_TIGER = "tiger"
ALIAS_SNEFRU = "snefru"

ALGORITHM_BASE16 = "base16"
ALGORITHM_BASE32 = "base32"
ALGORITHM_BASE64 = "base64"
ALGORITHM_ADLER32 = "adler32"
ALGORITHM_CRC32 = "crc32"
ALGORITHM_CRC32B = "crc32b"
ALGORITHM_CRYPT_DES = "crypt-des"
ALGORITHM_CRYPT_MD5 = "crypt-md5"
ALGORITHM_CRYPT_SHA_256 = "crypt-sha-256"
ALGORITHM_CRYPT_SHA_512 = "crypt-sha-512"
ALGORITHM_CRYPT_APR1 = "crypt-apr1"
ALGORITHM_CRYPT_BLOWFISH = "crypt-blowfish"
ALGORITHM_MD2 = "md2"
ALGORITHM_MD4 = "md4"
ALGORITHM_MD5 = "md5"
ALGORITHM_SHA_0 = "sha-0"
ALGORITHM_SHA_1 = "sha-1"
ALGORITHM_SHA_224 = "sha-224"
ALGORITHM_SHA_256 = "sha-256"
ALGORITHM_SHA_384 = "sha-384"
ALGORITHM_SHA_512 = "sha-512"
ALGORITHM_RIPEMD_ORIGINAL = "ripemd-original"
ALGORITHM_RIPEMD_128 = "ripemd-128"
ALGORITHM_RIPEMD_160 = "ripemd-160"
ALGORITHM_RIPEMD_256 = "ripemd-256"
ALGORITHM_RIPEMD_320 = "ripemd-320"
ALGORITHM_HAVAL_128_3 = "haval-128-3"
ALGORITHM_HAVAL_128_4 = "haval-128-4"
ALGORITHM_HAVAL_128_5 = "haval-128-5"
ALGORITHM_HAVAL_160_3 = "haval-160-3"
ALGORITHM_HAVAL_160_4 = "haval-160-4"
ALGORITHM_HAVAL_160_5 = "haval-160-5"
ALGORITHM_HAVAL_192_3 = "haval-192-3"
ALGORITHM_HAVAL_192_4 = "haval-192-4"
ALGORITHM_HAVAL_192_5 = "haval-192-5"
ALGORITHM_HAVAL_224_3 = "haval-224-3"
ALGORITHM_HAVAL_224_4 = "haval-224-4"
ALGORITHM_HAVAL_224_5 = "haval-224-5"
ALGORITHM_HAVAL_256_3 = "haval-256-3"
ALGORITHM_HAVAL_256_4 = "haval-256-4"
ALGORITHM_HAVAL_256_5 = "haval-256-5"
ALGORITHM_WHIRLPOOL = "whirlpool"
ALGORITHM_TIGER_128 = "tiger-128"
ALGORITHM_TIGER_160 = "tiger-160"
ALGORITHM_TIGER_192 = "tiger-192"
ALGORITHM_TIGER2 = "tiger2"
ALGORITHM_SNEFRU_128 = "snefru-128"
ALGORITHM_SNEFRU_256 = "snefru-256"
ALGORITHM_GOST = "gost"
ALGORITHM_WINDOWS_LM = "windows-lm"
ALGORITHM_WINDOWS_NT = "windows-nt"
ALGORITHM_MYSQL_PASSWORD = "mysql-password"
